¿Cómo puedo saber qué versión de WordPress se está ejecutando?

9 minutos de lectura

¿Como puedo saber que version de WordPress se esta ejecutando
leora

Acabo de tomar el control del sitio alojado de WordPress de alguien. ¿Cómo puedo saber qué versión está ejecutando?

Busque en wp-includes/version.php

/**
 * The WordPress version string
 *
 * @global string $wp_version
 */
$wp_version = '2.8.4';

A menos que haya editado algún código para eliminar esto, debería poder ver la fuente en el sitio y buscar esta metaetiqueta:

<meta name="generator" content="WordPress 2.7.1" /> 

Eso te dará la versión.

  • ¡Excelente consejo que permite verificar rápidamente sin buscar credenciales para cualquiera de las 100 cuentas de clientes e iniciar sesión en el FTP! Una forma aún más rápida es “Hacer clic en el logotipo W” según la respuesta a continuación, nuevamente, si tiene credenciales listas;)

    –Henrik Erlandsson

    29 oct.


  • ¿Cambió esto? Mi sitio de WordPress no tiene una etiqueta meta name=”generator” en la fuente.

    – Alec Wilson

    02 jun.

  • La metaetiqueta puede ser eliminada por un tema o complemento para que la versión de WordPress quede oculta, de modo que no pueda ser atacada con intenciones maliciosas por aquellos que buscan versiones más antiguas/inestables. Los otros métodos enumerados aquí aún podrían funcionar.

    – michelle

    09 jun.

  • Me estoy volviendo menos que útil <meta name="generator" content="WordPress.com" /> ¿Supongo que tal vez esto no funcione para los sitios que viven en wordpress.com?

    – rufián

    25 jun.


1643665331 73 ¿Como puedo saber que version de WordPress se esta ejecutando
Gunaselan

Sobre el Panel de control del panel de administraciónpuede encontrar un cuadro llamado “Ahora“. Ahí puedes ver la versión de la instalación de WordPress. He visto este resultado en WordPress 3.2.1. También puedes ver esto en la versión 3.7.1

WordPress Versión 3.7.1

ACTUALIZAR:

En la versión de WP 3.8.3

WordPress Versión 3.8.3

En Versión WP 3.9.1 Lado del administrador, puede ver la versión haciendo clic en el logotipo de WP que se encuentra en la posición superior izquierda.

WordPress Versión 3.9.1

Puedes usar yoursitename/readme.html

En el pie de página de administración de WordPress en el lado derecho, verá la información de la versión (Versión 3.9.1).

En WP 4

Puede obtener la versión de WordPress usando el siguiente código:

<?php bloginfo('version'); ?>

El siguiente archivo tiene todos los detalles de la versión.

wp-includes/version.php   

Actualización para WP 4.1.5

En WP 4.1.5, si era la última versión de WP en la parte derecha del pie de página, mostrará la versión tal cual. De lo contrario, mostrará la última versión de WP con el enlace para actualizar.

Verifique la siguiente captura de pantalla.

Paquete de trabajo 4.1.5

  • nombredesusitio/readme.html también lo ayudará a encontrar la versión de wordpress del sitio

    – Gunaselan

    23 nov.

  • Creo que esta es LA respuesta, suponiendo que tenga el inicio de sesión/contraseña. EN MI HUMILDE OPINIÓN. Acabo de borrar readme.html (sin ofender Matt, LOL)

    – PJ Brunet

    15 dic. 13 en 04:22

  • Esto solo será visible mientras no haya ninguna actualización disponible para WordPress.

    – Gerald Schneider

    03 abr.

  • @GeraldSchneider ¿Qué intenta decir sobre la respuesta?

    – Gunaselan

    11 abr.

  • Que esta respuesta solo funciona mientras no haya ninguna actualización disponible para la instancia de WordPress. Cuando WordPress detecta una actualización disponible, reemplaza todas las pantallas de versión con el mensaje “Hay una actualización disponible”.

    – Gerald Schneider

    12 abr.

Para cualquier sitio de wordpress, puede ir a http://ejemplo.com/feed y verifique la siguiente etiqueta en el archivo xml para ver el número de versión:

<generator>http://wordpress.org/?v=3.7</generator>

Aquí, 3.7 es la versión instalada.

Cada instalación de WP tiene un archivo readme.html.

Simplemente escriba www.sudominio.com/readme.html

  • Falso. No todas las instalaciones. No recuerdo esto en versiones anteriores. También revelar la versión de WordPress al mundo es una amenaza a la seguridad. Todos deberían eliminar readme.html, IMO.

    – PJ Brunet

    15 dic. 13 en 04:23


  • El comentario anterior de @PJ-Brunet TRAE 2 BUENOS PUNTOS, PERO, tanto por precisión como por respeto, sus RECLAMACIONES DEBEN BAJARSE, como debería haberse hecho desde el principio. En particular, a través de este y mis próximos 3 comentarios, 3 CORRECCIONES: 1ra, comenzando ‘Falso’. (por lo tanto, sugerir que en general es falso) es engañoso para revertirlo, ya que el enfoque de respuesta (por @ user1939291) SÍ funciona (a menudo) + fuera de utilidad + Primero lo escuché (así que doy respuesta +1) así que el comentario debería comenzar diga ‘Sí, esto funciona (bueno, al menos A MENUDO), por lo que es un método que vale la pena agregar, PERO podría parecer/ser un problema y/o casos en los que no funciona’. …

    – Arquitecto del Destino

    07 nov.

  • 2.º, si el método no siempre funciona, diga dónde idealmente exactamente; además de decir simplemente ‘No recuerdo esto en versiones anteriores’. obviamente NO es una prueba sólida para decir una afirmación fuerte ‘No todas las instalaciones’. … aunque ciertamente el método no funcionará si el archivo se eliminó como el comentarista (en mi humilde opinión por error) sugiere que los usuarios lo hagan, de hecho sugiere que ‘Todos’ lo hagan, así que en ese punto más serio, el tercero, ‘revelar la versión de WordPress al mundo es una amenaza para la seguridad. es una afirmación demasiado fuerte que incluye el engaño como una forma de obtener una buena seguridad, … como 4 correcciones, cada vez más importantes: …

    – Arquitecto del Destino

    07 nov.

  • …(a) esa es una amenaza de seguridad grave SOLO en {caso notablemente limitado: de donde (versiones muy impredecibles (falsas) +) el atacante conoce los agujeros de seguridad en la versión + usa ver para elegir significativamente mejor la explotación, pero sospecho que la mayoría de los ataques automatizado, así que ya intente todos/muchos exploits independientemente de la versión, además (b) usar la versión (corta y muy predecible) # como un combo # difícilmente es un combo protector #(!), además (c) tal ocultamiento (de este o del CMS en particular en general) {seguridad a través de la oscuridad por lo que se considera débil en.wikipedia.org/wiki/Security_through_obscurity#Criticism }, …

    – Arquitecto del Destino

    07 nov.

  • …además (d) {el mundo exterior puede determinar qué CMS está ejecutando un sitio} es, para su propietario, casi siempre, en el peor de los casos, una pérdida menor, si es que la hay (podría ser una ganancia), pero, para el mundo, es extremadamente valioso, especialmente a otros desarrolladores, para mostrar qué funciona y cómo se hacen las cosas, incluido lo que WP puede hacer; ASÍ QUE más bien sugiero que la gente NO ELIMINE ESTE U OTROS ARCHIVOS OFICIALES (a menos que sean excepciones oficiales o extremas); en cambio, por seguridad, use {los métodos oficiales: especialmente mantener WP actualizado y respaldado} que ha sido suficiente para todo lo que he visto, pero si aún no es suficiente, agregue el (los) escáner (es) de malware WP y el tapón ( s).

    – Arquitecto del Destino

    07 nov.


¿Como puedo saber que version de WordPress se esta ejecutando
Ahmad Awais

Si vino aquí para averiguar cómo verificar la versión de WordPress mediante programación, puede hacerlo con el siguiente código.

// Get the WP Version global.
global $wp_version;

// Now use $wp_version which will return a string value.
echo '<pre>' . var_dump( $wp_version ) . '</pre>';
// Output: string '4.6.1' (length=5)

¡Salud!

  • Falso. No todas las instalaciones. No recuerdo esto en versiones anteriores. También revelar la versión de WordPress al mundo es una amenaza a la seguridad. Todos deberían eliminar readme.html, IMO.

    – PJ Brunet

    15 dic. 13 en 04:23


  • El comentario anterior de @PJ-Brunet TRAE 2 BUENOS PUNTOS, PERO, tanto por precisión como por respeto, sus RECLAMACIONES DEBEN BAJARSE, como debería haberse hecho desde el principio. En particular, a través de este y mis próximos 3 comentarios, 3 CORRECCIONES: 1ra, comenzando ‘Falso’. (por lo tanto, sugerir que en general es falso) es engañoso para revertirlo, ya que el enfoque de respuesta (por @ user1939291) SÍ funciona (a menudo) + fuera de utilidad + Primero lo escuché (así que doy respuesta +1) así que el comentario debería comenzar diga ‘Sí, esto funciona (bueno, al menos A MENUDO), por lo que es un método que vale la pena agregar, PERO podría parecer/ser un problema y/o casos en los que no funciona’. …

    – Arquitecto del Destino

    07 nov.

  • 2.º, si el método no siempre funciona, diga dónde idealmente exactamente; además de decir simplemente ‘No recuerdo esto en versiones anteriores’. obviamente NO es una prueba sólida para decir una afirmación fuerte ‘No todas las instalaciones’. … aunque ciertamente el método no funcionará si el archivo se eliminó como el comentarista (en mi humilde opinión por error) sugiere que los usuarios lo hagan, de hecho sugiere que ‘Todos’ lo hagan, así que en ese punto más serio, el tercero, ‘revelar la versión de WordPress al mundo es una amenaza para la seguridad. es una afirmación demasiado fuerte que incluye el engaño como una forma de obtener una buena seguridad, … como 4 correcciones, cada vez más importantes: …

    – Arquitecto del Destino

    07 nov.

  • …(a) esa es una amenaza de seguridad grave SOLO en {caso notablemente limitado: de donde (versiones muy impredecibles (falsas) +) el atacante conoce los agujeros de seguridad en la versión + usa ver para elegir significativamente mejor la explotación, pero sospecho que la mayoría de los ataques automatizado, así que ya intente todos/muchos exploits independientemente de la versión, además (b) usar la versión (corta y muy predecible) # como un combo # difícilmente es un combo protector #(!), además (c) tal ocultamiento (de este o del CMS en particular en general) {seguridad a través de la oscuridad por lo que se considera débil en.wikipedia.org/wiki/Security_through_obscurity#Criticism }, …

    – Arquitecto del Destino

    07 nov.

  • …además (d) {el mundo exterior puede determinar qué CMS está ejecutando un sitio} es, para su propietario, casi siempre, en el peor de los casos, una pérdida menor, si es que la hay (podría ser una ganancia), pero, para el mundo, es extremadamente valioso, especialmente a otros desarrolladores, para mostrar qué funciona y cómo se hacen las cosas, incluido lo que WP puede hacer; ASÍ QUE más bien sugiero que la gente NO ELIMINE ESTE U OTROS ARCHIVOS OFICIALES (a menos que sean excepciones oficiales o extremas); en cambio, por seguridad, use {los métodos oficiales: especialmente mantener WP actualizado y respaldado} que ha sido suficiente para todo lo que he visto, pero si aún no es suficiente, agregue el (los) escáner (es) de malware WP y el tapón ( s).

    – Arquitecto del Destino

    07 nov.


La forma más fácil sería usar el readme.html archivo que viene con cada instalación de WordPress (a menos que lo hayas borrado).

http://example.com/readme.html

Nota: parece que readme.html El archivo ya no genera la versión actual de WordPress. Por lo tanto, no hay forma, por ahora, de ver la versión actual de WordPress sin iniciar sesión en el tablero.

  • sí, está bien, porque en algunos casos vemos version.php vacío

    – Maha Dev

    22 feb. 17 en 4:57

.

¿Ha sido útil esta solución?

Esta web utiliza cookies propias y de terceros para su correcto funcionamiento y para fines analíticos y para mostrarte publicidad relacionada con sus preferencias en base a un perfil elaborado a partir de tus hábitos de navegación. Al hacer clic en el botón Aceptar, acepta el uso de estas tecnologías y el procesamiento de tus datos para estos propósitos. Configurar y más información
Privacidad